
Core - Bug # 45898
Complexity:
Is Regression: No
Subject: URL generation broken for absolute local storage paths
Description

When having a local storage with a path outside the site path, the URL cannot be generated currently, as it has to be absolute and
there is neither a configuration field for the base URL nor code inside the local driver to generate a URL with this base URL.

The field should be added to the flexform of the local driver, as we cannot ship database updates in minor versions (like 6.0.3).
Additionally, this field might not be required for all drivers, so it's not absolutely necessary to have it in the storages table directly.

Related issues:
blocked by Core - Task # 35858: Test and fix URL generation Closed 2012-04-11

History
#1 - 2013-03-22 10:34 - Andreas Wolf
- Status changed from New to Accepted

#2 - 2013-03-22 11:01 - Andreas Wolf
- Target version changed from 6.0.3 to 6.0.5

#3 - 2013-11-20 10:33 - Benjamin Mack
- Is Regression set to No

Hey Andreas,

I consider this difficult as hard-coding public URLs in FlexForms is nasty - see server setups with different contexts (Staging, Production) and with
multiple domains in one installation but all using the same storage. However, I don't know any other good solution here either.

#4 - 2014-05-04 21:26 - Frans Saris
- Status changed from Accepted to Closed

Storages outside webroot is posible since 6.2
